#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BellLiquidity[] cacheBellLiquidity;

		
		public BellLiquidity BellLiquidity(int lots, int bigLots, int smallLots)
		{
			return BellLiquidity(Input, lots, bigLots, smallLots);
		}


		
		public BellLiquidity BellLiquidity(ISeries<double> input, int lots, int bigLots, int smallLots)
		{
			if (cacheBellLiquidity != null)
				for (int idx = 0; idx < cacheBellLiquidity.Length; idx++)
					if (cacheBellLiquidity[idx].Lots == lots && cacheBellLiquidity[idx].BigLots == bigLots && cacheBellLiquidity[idx].SmallLots == smallLots && cacheBellLiquidity[idx].EqualsInput(input))
						return cacheBellLiquidity[idx];
			return CacheIndicator<BellLiquidity>(new BellLiquidity(){ Lots = lots, BigLots = bigLots, SmallLots = smallLots }, input, ref cacheBellLiquidity);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BellLiquidity BellLiquidity(int lots, int bigLots, int smallLots)
		{
			return indicator.BellLiquidity(Input, lots, bigLots, smallLots);
		}


		
		public Indicators.BellLiquidity BellLiquidity(ISeries<double> input , int lots, int bigLots, int smallLots)
		{
			return indicator.BellLiquidity(input, lots, bigLots, smallLots);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BellLiquidity BellLiquidity(int lots, int bigLots, int smallLots)
		{
			return indicator.BellLiquidity(Input, lots, bigLots, smallLots);
		}


		
		public Indicators.BellLiquidity BellLiquidity(ISeries<double> input , int lots, int bigLots, int smallLots)
		{
			return indicator.BellLiquidity(input, lots, bigLots, smallLots);
		}

	}
}

#endregion
